//конструктор одного элемента
    function QABlock(p){
        var o = this;
        this.root = $(p.root); // table
        this.cells = $(p.cells, this.root); // td

        // массив данных для сохранения
        var arrData = new Object();

        this.parseTxtFromCells = function(){
            // текст вопроса
            arrData.iQuest = o.cells.eq(1).text();
            // текст ответа
            arrData.iAnsw = o.cells.eq(4).html();
            // текст свойства
            var propsTxt = o.cells.eq(2).text();
            propsTxt = $.trim(propsTxt);

            var r_exp = /\:\s* | \s{2,}/g;			
			
            propsTxt = propsTxt.replace(r_exp, '\t');

            var props = new Array();
            props = propsTxt.split(/\t\s*/);
			
			/*for (var i = 0; i < props.length; i++){
            	console.log(i + ' ' + props[i]);
            }*/
			
			arrData.prop_platform = props[1];
			arrData.prop_programm = props[3];
			arrData.prop_realise = props[5];

            /*
			console.log('Вопрос: ' + arrData.iQuest);
            console.log('Ответ: ' + arrData.iAnsw);
            console.log('Свойства');
            console.log('Платформа: ' + arrData.prop_platform);
            console.log('Программа: ' + arrData.prop_programm);
            console.log('Релиз: ' + arrData.prop_realise);
			console.log('============================');
			*/
			
			return arrData;
        }

        this.init = function(){
			var questInfo = o.parseTxtFromCells();
			return questInfo;
        }
    }
	
	// конструктор для создания объектов вопросов и отправки их на сервер
	function QABlockConstructor(p){
		var o = this;
		this.elset = $(p.elset); // набор вопросов table

		this.elsetLength = this.elset.length;

		this.elcell = p.elcell; //'td'

		// инфоблок
		this.iblockID = p.iblockID;

		// секция инфоблока
		this.curSect = p.curSect;
	
		this.scriptPath = p.scriptPath;
		
		// отправка данных через AJAX
		this.saveFAQData = function(q){
			$.ajax({
				url: o.scriptPath,
				type: 'POST',
				data:{
					AJAX: 'Y',
					iblockID: o.iblockID,
					iblockSection: o.curSect,
					questText: q.iQuest,
					answText: q.iAnsw,
					pPlatform: q.prop_platform,
					pProgramm: q.prop_programm,
					pRealise: q.prop_realise
				},
				success: function(txt){
					console.log(txt);
				},
			});
		}

		//инициализация
		this.init = function(){
			
			if(o.elsetLength > 0){
				console.log('Всего элементов на странице: ' + o.elsetLength);
				o.elset.each(function(index){
					var quest = new QABlock({
						root: $(this),
						cells: o.elcell
					});

					var questDataObj = quest.init();
					o.saveFAQData(questDataObj);				
				});
			}
			else{
				console.log('Нет подходящих элементов на странице!');
				return false;
			}			
		}
	}